Package com.sas.lsaf.content.repository.recyclebin

## Class RecycleBinQuery

- java.lang.Object
- - com.sas.lsaf.content.repository.recyclebin.RecycleBinQuery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RecycleBinQuery
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the information to filter recycle bin items. Specifying a path queries the recycle bin for items at or below the path. If "*" is specified for `deletedBy`, and the current user does not have the Permanently Delete Items or Restore Items Deleted by Others privilege at the query `location` specified, only the current user's items are returned. If null or a blank `location` is specified, the location defaults to the root, which assumes no privileges and, similarly, only the current user's items are returned.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RecycleBinQuery()` | The zero-argument constructor.
    `RecycleBinQuery​(java.lang.String location, boolean recurse, java.lang.String name, java.lang.String deletedBy, java.util.Date fromDate, java.util.Date toDate)` | The constructor.
    `RecycleBinQuery​(java.lang.String location, java.lang.String name, java.lang.String deletedBy, java.util.Date fromDate, java.util.Date toDate)` | The constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDeletedBy()` | Gets the identifier of the user whose deleted files are queried.
    `java.util.Date` | `getFromDate()` | Gets the from deleted date of the item to query in the recycle bin.
    `java.lang.String` | `getLocation()` | Gets the path to the item to query in the recycle bin.
    `java.lang.String` | `getName()` | Gets the name of the item to query in the recycle bin.
    `java.util.Date` | `getToDate()` | Gets the ending deleted date of the item to query in the recycle bin.
    `int` | `hashCode()` |
    `boolean` | `isRecurse()` | Indicates whether the recycle bin searches the specified location and below.
    `void` | `setDeletedBy​(java.lang.String deletedBy)` | Sets the identifier of the user whose deleted files are queried.
    `void` | `setFromDate​(java.util.Date fromDate)` | Sets the starting deleted date of the item to query in the recycle bin.
    `void` | `setLocation​(java.lang.String location)` | Sets the path to the item to query in the recycle bin.
    `void` | `setName​(java.lang.String name)` | Sets the name of the item to query in the recycle bin.
    `void` | `setRecurse​(boolean recurse)` | Indicates whether recycle bin searches the specified location and below.
    `void` | `setToDate​(java.util.Date toDate)` | Sets the ending deleted date of the item to query in the recycle bin.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecycleBinQuery

          public RecycleBinQuery()

      The zero-argument constructor.

    - #### RecycleBinQuery

          public RecycleBinQuery​(java.lang.String location,
                                 java.lang.String name,
                                 java.lang.String deletedBy,
                                 java.util.Date fromDate,
                                 java.util.Date toDate)

      The constructor.
      Parameters:
        `name` - The name of the source to query.
        `location` - The location to query.
        `deletedBy` - The identifier of the user who deleted the item.
        `fromDate` - The starting deleted date to query.
        `toDate` - The ending deleted date to query.

    - #### RecycleBinQuery

          public RecycleBinQuery​(java.lang.String location,
                                 boolean recurse,
                                 java.lang.String name,
                                 java.lang.String deletedBy,
                                 java.util.Date fromDate,
                                 java.util.Date toDate)

      The constructor.
      Parameters:
        `name` - The name of the source to query.
        `location` - The location to query.
        `recurse` - the boolean value that indicates whether the recycle bin searches the specified location and below.
        `deletedBy` - The identifier of the user who deleted the item.
        `fromDate` - The starting deleted date to query.
        `toDate` - The ending deleted date to query.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the item to query in the recycle bin.
      Returns:
        The name of the item to query in the recycle bin. Null specifies that all names are queried.

    - #### getLocation

          public java.lang.String getLocation()

      Gets the path to the item to query in the recycle bin.
      Returns:
        The path to the item to query in the recycle bin. Null specifies that all paths are queried.

    - #### setLocation

          public void setLocation​(java.lang.String location)

      Sets the path to the item to query in the recycle bin. Wildcards are not supported for location.
      Parameters:
        `location` - The path to the item to query in the recycle bin. Null specifies that all paths are queried.

    - #### isRecurse

          public boolean isRecurse()

      Indicates whether the recycle bin searches the specified location and below.
      Returns:
        The boolean value that indicates whether the recycle bin searches the specified location and below.

    - #### setRecurse

          public void setRecurse​(boolean recurse)

      Indicates whether recycle bin searches the specified location and below.
      Parameters:
        `recurse` - The boolean value that indicates whether the recycle bin searches the specified location and below.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the name of the item to query in the recycle bin.
      Parameters:
        `name` - The name of the item to query in the recycle bin. Null specifies that all names are queried.

    - #### getDeletedBy

          public java.lang.String getDeletedBy()

      Gets the identifier of the user whose deleted files are queried.
      Returns:
        The identifier of the user whose deleted files are queried.

    - #### setDeletedBy

          public void setDeletedBy​(java.lang.String deletedBy)

      Sets the identifier of the user whose deleted files are queried. Specifying null or empty queries the current user's deleted items. Specifying * queries all users' items. If you do not have the Permanently Delete Items or Restore Items Deleted by Others privilege, only the current user's items are returned.
      Parameters:
        `deletedBy` - The identifier of the user who deleted the items. Null or blank results in the current user's items. Specifying * queries all users' items. If you do not have the Permanently Delete Items or Restore Items Deleted by Others privilege, only the current user's items are returned.

    - #### getFromDate

          public java.util.Date getFromDate()

      Gets the from deleted date of the item to query in the recycle bin.
      Returns:
        The from deleted date of the item to query in the recycle bin.

    - #### setFromDate

          public void setFromDate​(java.util.Date fromDate)

      Sets the starting deleted date of the item to query in the recycle bin.
      Parameters:
        `fromDate` - The starting deleted date of the item to query in the recycle bin. Null specifies that all dates are queried.

    - #### getToDate

          public java.util.Date getToDate()

      Gets the ending deleted date of the item to query in the recycle bin.
      Returns:
        The ending deleted date of the item to query in the recycle bin.

    - #### setToDate

          public void setToDate​(java.util.Date toDate)

      Sets the ending deleted date of the item to query in the recycle bin.
      Parameters:
        `toDate` - The ending deleted date of the item to query in the recycle bin. Null specifies that all dates are queried.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`